/*
 * basic.h
 *
 * Created: 2014-04-15 13:11:30
 *  Author: dsosnowski
 */ 


#ifndef BASIC_H_
#define BASIC_H_


#define LED_ON				1
#define LED_OFF				0
#define POWER_ON			1
#define POWER_OFF			0

#define CLICK_THRESHOLD		40
#define HOLD_THRESHOLD		60
#define LED_THRESHOLD		2

#define SW_CLICK			1
#define SW_HOLD				2

#define MOTOR_STOP			0
#define MOTOR_LEFT			1
#define MOTOR_RIGHT			2

void LedState(char state);
void LedProc(void);
char UiProc(void);
void PowerState(char state);
void MotorState(char state);


#endif /* BASIC_H_ */